# Step 4: model building
#
# This script should produce five models for hup-s hydrogenase 

from modeller import *
from modeller.automodel import *    # Load the automodel class
log.verbose()
env = environ()  # To get different models from another script

# directories for input atom files
env.io.atom_files_directory = ['../laccases_templates']
env.io.hetatm=True
a = automodel(env,
              alnfile='Ac_875_3cg8_yasara_mod_trunc.ali',      # alignment filename
                      knowns='3cg8_cleaned_yasara_mod',                           # codes of the templates
              sequence='Ac_875_modeller_trimer_3cg8_het_trunc',         # code of the target
              assess_methods=(assess.DOPE, assess.normalized_dope, assess.GA341))  # request GA341 assessment
a.starting_model= 101                 # index of the first model
a.ending_model  = 110                 # index of the last model
                                    # (determines how many models to calculate)
# Very thorough VTFM optimization:
# a.library_schedule = autosched.slow
# a.max_var_iterations = 300
# Thorough MD optimization:
# a.md_level = refine.very_slow
# Repeat optimization 1 time
# a.repeat_optimization = 1
a.make()                            # do homology modelling


a = automodel(env,
              alnfile='Ac_875_3cg8_yasara_mod_trunc.ali',      # alignment filename
              knowns='3cg8_cleaned_yasara_mod',                           # codes of the templates
              sequence='Ac_875_modeller_trimer_3cg8_het_trunc',         # code of the target
              assess_methods=(assess.DOPE, assess.normalized_dope, assess.GA341))  # request GA341 assessment
a.starting_model= 111                 # index of the first model
a.ending_model  = 120                 # index of the last model
                                    # (determines how many models to calculate)
# Very thorough VTFM optimization:
# a.library_schedule = autosched.slow
a.max_var_iterations = 300
# Thorough MD optimization:
a.md_level = refine.very_slow
# Repeat optimization 1 time
a.repeat_optimization = 1
a.make()                            # do homology modelling

a = automodel(env,
              alnfile='Ac_875_3cg8_yasara_mod_trunc.ali',      # alignment filename
              knowns='3cg8_cleaned_yasara_mod',                           # codes of the templates
              sequence='Ac_875_modeller_trimer_3cg8_het_trunc',         # code of the target
              assess_methods=(assess.DOPE, assess.normalized_dope, assess.GA341))  # request GA341 assessment
a.starting_model= 121                 # index of the first model
a.ending_model  = 130                 # index of the last model
                                    # (determines how many models to calculate)
# Very thorough VTFM optimization:
# a.library_schedule = autosched.slow
a.max_var_iterations = 300
# Thorough MD optimization:
a.md_level = refine.very_slow
# Repeat optimization 2 times
a.repeat_optimization = 2
a.make()                            # do homology modelling


a = automodel(env,
              alnfile='Ac_875_3cg8_yasara_mod_trunc.ali',      # alignment filename
              knowns='3cg8_cleaned_yasara_mod',                           # codes of the templates
              sequence='Ac_875_modeller_trimer_3cg8_het_trunc',         # code of the target
              assess_methods=(assess.DOPE, assess.normalized_dope, assess.GA341))  # request GA341 assessment
a.starting_model= 131                 # index of the first model
a.ending_model  = 140                 # index of the last model
                                    # (determines how many models to calculate)
# Very thorough VTFM optimization:
# a.library_schedule = autosched.slow
a.max_var_iterations = 300
# Thorough MD optimization:
a.md_level = refine.very_slow
# Repeat optimization 3 times
a.repeat_optimization = 3
a.make()                            # do homology modelling


a = automodel(env,
              alnfile='Ac_875_3cg8_yasara_mod_trunc.ali',      # alignment filename
              knowns='3cg8_cleaned_yasara_mod',                           # codes of the templates
              sequence='Ac_875_modeller_trimer_3cg8_het_trunc',         # code of the target
              assess_methods=(assess.DOPE, assess.normalized_dope, assess.GA341))  # request GA341 assessment
a.starting_model= 141                 # index of the first model
a.ending_model  = 150                 # index of the last model
                                    # (determines how many models to calculate)
# Very thorough VTFM optimization:
# a.library_schedule = autosched.slow
a.max_var_iterations = 300
# Thorough MD optimization:
a.md_level = refine.very_slow
# Repeat optimization 4 times
a.repeat_optimization = 4
a.make()                            # do homology modelling


a = automodel(env,
              alnfile='Ac_875_3cg8_yasara_mod_trunc.ali',      # alignment filename
              knowns='3cg8_cleaned_yasara_mod',                           # codes of the templates
              sequence='Ac_875_modeller_trimer_3cg8_het_trunc',         # code of the target
              assess_methods=(assess.DOPE, assess.normalized_dope, assess.GA341))  # request GA341 assessment
a.starting_model= 151                 # index of the first model
a.ending_model  = 160                 # index of the last model
                                    # (determines how many models to calculate)
# Very thorough VTFM optimization:
# a.library_schedule = autosched.slow
a.max_var_iterations = 300
# Thorough MD optimization:
a.md_level = refine.very_slow
# Repeat optimization 5 times
a.repeat_optimization = 5
a.make()                            # do homology modelling

